class Attack {
    constructor(percentRange = 1) {
        if (percentRange > 1 / 3) {
            if (percentRange > 2 / 3) {
                percentRange = 1;
            } else {
                percentRange = 2 / 3;
            }
        } else {
            percentRange = 1 / 3;
        }
        this.percentRange = percentRange;
    }

    do(robot) {
        if (robot.haveTarget() && robot.isTargetInRange(this.percentRange)) {
            return robot.attackTarget();
        }
        return false;
    }
}